Debian Bug report logs - #638720
ITP: openerp7 -- Enterprise Resource Management

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "W. Martin Borgert" <debacle@debian.org>

Date: Sun, 21 Aug 2011 13:00:02 UTC

Owned by: python-apps-team@lists.alioth.debian.org

Severity: wishlist

Merged with 638722, 650436

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-python@lists.debian.org, wnpp@debian.org:
Bug#638720; Package wnpp. (Sun, 21 Aug 2011 13:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-python@lists.debian.org, wnpp@debian.org. (Sun, 21 Aug 2011 13:00:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: openerp6-server -- Enterprise Resource Management (server)
Date: Sun, 21 Aug 2011 14:57:22 +0200
Package: wnpp
Severity: wishlist
Owner: "W. Martin Borgert" <debacle@debian.org>

Package name    : openerp6-server
Version         : 6.0.3
Upstream Author : OpenERP <support@openerp.com>
URL             : http://www.openerp.com/
License         : AGPL, GPL, BSD, etc.
Programming Lang: Python
Description     : Enterprise Resource Management (server)

OpenERP is a complete ERP and CRM. The main features are
accounting (analytic and financial), stock management, sales and
purchases management, tasks automation, marketing campaigns,
help desk, POS, etc. Technical features include a distributed
server, flexible workflows, an object database, a dynamic GUI,
customizable reports, and NET-RPC and XML-RPC interfaces.

This package contains the Open ERP server, install openerp6-web
package for the client.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "W. Martin Borgert" <debacle@debian.org>:
Bug#638720; Package wnpp. (Mon, 22 Aug 2011 03:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "W. Martin Borgert" <debacle@debian.org>. (Mon, 22 Aug 2011 03:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 638720@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: debian-devel@lists.debian.org, 638720@bugs.debian.org
Subject: Re: Bug#638720: ITP: openerp6-server -- Enterprise Resource Management (server)
Date: Mon, 22 Aug 2011 12:10:30 +0900
Le Sun, Aug 21, 2011 at 02:57:22PM +0200, W. Martin Borgert a écrit :
> 
> OpenERP is a complete ERP and CRM. The main features are
> accounting (analytic and financial), stock management, sales and
> purchases management, tasks automation, marketing campaigns,
> help desk, POS, etc. Technical features include a distributed
> server, flexible workflows, an object database, a dynamic GUI,
> customizable reports, and NET-RPC and XML-RPC interfaces.

Dear Martin,

I think that it would help to understand that the package contains if the
acronyms ERP, CRM, POS were expanded (and maybe also GUI and *-RPC).

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#638720; Package wnpp. (Mon, 22 Aug 2011 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 22 Aug 2011 09:39:04 GMT) Full text and rfc822 format available.

Message #15 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Charles Plessy" <plessy@debian.org>, 638720@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#638720: ITP: openerp6-server -- Enterprise Resource Management (server)
Date: Mon, 22 Aug 2011 11:34:02 +0200
Quoting "Charles Plessy" <plessy@debian.org>:
> I think that it would help to understand that the package contains if the
> acronyms ERP, CRM, POS were expanded (and maybe also GUI and *-RPC).

I thought exactly the same when sending the bug :~) Will do!





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#638720; Package wnpp. (Tue, 29 Nov 2011 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 29 Nov 2011 21:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Dmitrijs Ledkovs" <dmitrij.ledkov@ubuntu.com>
Cc: 650436@bugs.debian.org, python-apps-team@lists.alioth.debian.org, 638720@bugs.debian.org, 638722@bugs.debian.org
Subject: Re: ITP: openerp6 -- Enterprise Resource Management
Date: Tue, 29 Nov 2011 22:03:32 +0100
Hi Dmitrijs,

please take a look at #638720 and #638722. I must admit,
that I currently don't have much time to spend on this
packaging effort and already thought about changing the
ITPs into RFPs.

Some opinions:

 - While a (free as in beer) migration path from 5 to 6
   would be desirable, we have to live with the fact that
   it currently does not exist. No fundamental problem.

 - Re-introducing OpenERP 5 is something I would shy away
   from because of the extra work load. Better maintain
   one package good than two packages not so good.

 - I'm not sure how important the GTK+ UI is nowadays.
   I'm under the impression that everyone goes for the
   web UI. Of course, YMMV.

If I have more time later on, I would be happy to help.

Cheers





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "W. Martin Borgert" <debacle@debian.org>:
Bug#638720; Package wnpp. (Wed, 30 Nov 2011 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "W. Martin Borgert" <debacle@debian.org>. (Wed, 30 Nov 2011 00:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 638720@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
To: "W. Martin Borgert" <debacle@debian.org>, 650436@bugs.debian.org
Cc: python-apps-team@lists.alioth.debian.org, 638720@bugs.debian.org, 638722@bugs.debian.org
Subject: Re: Bug#650436: ITP: openerp6 -- Enterprise Resource Management
Date: Wed, 30 Nov 2011 00:29:30 +0000
On 29 November 2011 21:03, W. Martin Borgert <debacle@debian.org> wrote:
> Hi Dmitrijs,
>
> please take a look at #638720 and #638722. I must admit,
> that I currently don't have much time to spend on this
> packaging effort and already thought about changing the
> ITPs into RFPs.
>

Do you have any patches, work in progress, thoughts or ideas? =) I'm
keen on any feedback and review. I will ping you when I'm happy enough
with the packages, such that somebody who knows OpenERP can test them.

> Some opinions:
>
>  - While a (free as in beer) migration path from 5 to 6
>   would be desirable, we have to live with the fact that
>   it currently does not exist. No fundamental problem.
>

ok.

>  - Re-introducing OpenERP 5 is something I would shy away
>   from because of the extra work load. Better maintain
>   one package good than two packages not so good.
>

true. Plus 6.1 was meant to be released in autumn and it's been
delayed for the second time now. I wonder if it will be released only
in the second half of 2012.

>  - I'm not sure how important the GTK+ UI is nowadays.
>   I'm under the impression that everyone goes for the
>   web UI. Of course, YMMV.
>

It's still developed, It's still faster than web client. It offers
better keyboard-only navigation. Some of our users prefer it over the
web client. So yeah YMMV from person to person, and generally people
are going for the web UI. But it's nice to have gtk client to package:
ssh port forward + local client and that's all you need to connect to
an OpenERP instance. webclient on virtual domains & firewalls are more
trickier to get to sometimes.

Overall gtk client overall still has it's use cases.

> If I have more time later on, I would be happy to help.
>

That would be wonderful.

Can I merge your ITPs into mine?

Ps. packging available from python apps svn. Still work in progress though.

Regards,

Dmitrijs.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#638720; Package wnpp. (Wed, 30 Nov 2011 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 Nov 2011 00:51:04 GMT) Full text and rfc822 format available.

Message #30 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Dmitrijs Ledkovs" <dmitrij.ledkov@ubuntu.com>
Cc: 650436@bugs.debian.org, python-apps-team@lists.alioth.debian.org, 638720@bugs.debian.org, 638722@bugs.debian.org
Subject: Re: Bug#650436: ITP: openerp6 -- Enterprise Resource Management
Date: Wed, 30 Nov 2011 01:50:04 +0100
Quoting "Dmitrijs Ledkovs" <dmitrij.ledkov@ubuntu.com>:
> Do you have any patches, work in progress, thoughts or ideas? =)

Absolutely nothing.

> But it's nice to have gtk client to package:
> ssh port forward + local client and that's all you need to connect to
> an OpenERP instance. webclient on virtual domains & firewalls are more
> trickier to get to sometimes.
>
> Overall gtk client overall still has it's use cases.

Sure, it's just my personal priority list.

> Can I merge your ITPs into mine?

Please do so. TIA!





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#638720; Package wnpp. (Sat, 21 Jan 2012 21:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 21 Jan 2012 21:06:12 GMT) Full text and rfc822 format available.

Message #35 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: control@bugs.debian.org, 650436@bugs.debian.org, 638720@bugs.debian.org, 638722@bugs.debian.org
Subject: ITP: openerp6 -- Enterprise Resource Management
Date: Sat, 21 Jan 2012 21:02:49 +0000
owner 638720 python-apps-team@lists.alioth.debian.org
owner 638722 python-apps-team@lists.alioth.debian.org
owner 650436 python-apps-team@lists.alioth.debian.org
retitle 650436 ITP: openerp6-gtk -- Enterprise Resource Management
thanks

Because #638720 already is about the server and #638722 about
the web interface, I restrict #650436 to the missing GTK+
interface, OK? We need separate ITPs for every single package.




Owner changed from "W. Martin Borgert" <debacle@debian.org> to python-apps-team@lists.alioth.debian.org. Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 21:06:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Sat, 21 Jan 2012 21:12:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Sat, 21 Jan 2012 21:12:30 GMT) Full text and rfc822 format available.

Message #42 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: control@bugs.debian.org, 638720@bugs.debian.org
Subject: ITP: openerp6 -- Enterprise Resource Management
Date: Sat, 21 Jan 2012 21:10:15 +0000
retitle 638720 ITP: openerp6 -- Enterprise Resource Management
retitle 638722 ITP: openerp6 -- Enterprise Resource Management
retitle 650436 ITP: openerp6 -- Enterprise Resource Management
merge 650436 638720 638722
thanks

Oops, just saw, that you do the packaging "all in one":
svn+ssh://svn.debian.org/svn/python-apps/packages/openerp6/trunk
So better merge the bugs.




Changed Bug title to 'ITP: openerp6 -- Enterprise Resource Management' from 'ITP: openerp6-server -- Enterprise Resource Management (server)' Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 21:12:33 GMT) Full text and rfc822 format available.

Merged 638720 638722 650436. Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 21:12:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Tue, 05 Jun 2012 10:18:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Tue, 05 Jun 2012 10:18:43 GMT) Full text and rfc822 format available.

Message #51 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Dmitrijs Ledkovs" <dmitrij.ledkov@ubuntu.com>
Cc: 638720@bugs.debian.org
Subject: Re: ITP: openerp6 -- Enterprise Resource Management
Date: Tue, 05 Jun 2012 12:17:36 +0200
Hi,

I see, that development is stalled since three months now:
http://anonscm.debian.org/viewvc/python-apps/packages/openerp6/trunk/
I assume packaging OpenERP is a huge task. Are you still
working on this? No pressure intended, I just like to know.

Cheers





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Tue, 05 Jun 2012 14:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Tue, 05 Jun 2012 14:18:07 GMT) Full text and rfc822 format available.

Message #56 received at 638720@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 638720@bugs.debian.org
Subject: Re: ITP: openerp6 -- Enterprise Resource Management
Date: Tue, 05 Jun 2012 15:15:38 +0100
[Message part 1 (text/plain, inline)]
Hello,

On 05/06/12 11:17, W. Martin Borgert wrote:
> Hi,
> 
> I see, that development is stalled since three months now:
> http://anonscm.debian.org/viewvc/python-apps/packages/openerp6/trunk/
> I assume packaging OpenERP is a huge task. Are you still
> working on this? No pressure intended, I just like to know.
> 

Actually openerp-6.1 packaging is thriving. Yoland Robla has been
working a lot on it, using ubuntu bzr branch. And I will be uploading it
into debian soon.

I believe I will upload it into experimental, or into sid after freeze,
because I think it's too late for wheezy now. Unless I do a massive push
for it this week.

Getting offlineimap into testing is a higher priority for me right now =)

-- 
Regards,
Dmitrijs.


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Mon, 25 Feb 2013 10:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Mon, 25 Feb 2013 10:21:09 GMT) Full text and rfc822 format available.

Message #61 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 638720@bugs.debian.org, xnox@debian.org
Subject: packaging OpenERP
Date: Mon, 25 Feb 2013 11:06:25 +0100
Given that OpenERP has been released recently, it doesn't make
sense anymore, putting effort in 6.1, right? Furthermore, the
GTK+ client is deprecated now, only web is "official". May I
change the bug reports and SVN dirs accordingly?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Mon, 25 Feb 2013 10:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Mon, 25 Feb 2013 10:42:02 GMT) Full text and rfc822 format available.

Message #66 received at 638720@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 638720@bugs.debian.org
Subject: Re: packaging OpenERP
Date: Mon, 25 Feb 2013 10:38:48 +0000
Hello,

On 25 February 2013 10:06, W. Martin Borgert <debacle@debian.org> wrote:
> Given that OpenERP has been released recently, it doesn't make
> sense anymore, putting effort in 6.1, right? Furthermore, the
> GTK+ client is deprecated now, only web is "official". May I
> change the bug reports and SVN dirs accordingly?

Blast from the past. Yeah sure, go ahead.

It would be nice to still package all of them & e.g. there is a 6.1
version of a package in ubuntu now.
But it's not as flexible packaged.
The openupgrade project has good migration scripts and it would be
great to integrate them into the packaging such that one can upgrade
from one major release to another.

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Mon, 25 Feb 2013 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Mon, 25 Feb 2013 12:57:03 GMT) Full text and rfc822 format available.

Message #71 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Dmitrijs Ledkovs" <xnox@debian.org>
Cc: 638720@bugs.debian.org
Subject: Re: packaging OpenERP
Date: Mon, 25 Feb 2013 13:52:36 +0100
Quoting "Dmitrijs Ledkovs" <xnox@debian.org>:
> Blast from the past. Yeah sure, go ahead.

Will do, thanks!

> It would be nice to still package all of them & e.g. there is a 6.1
> version of a package in ubuntu now.
> But it's not as flexible packaged.
> The openupgrade project has good migration scripts and it would be
> great to integrate them into the packaging such that one can upgrade
> from one major release to another.

I suggest to package 7.0 first and than package 6.1 and openupgrade
separately.

I'm not 100% sure, how many people/companies can really make use of
the packaged system anyway. ERP systems are much more than any other
software customized versions, right? Having it packaged makes sense,
because it makes sure that the software will build and run cleanly
on Debian. And it can be used in simple cases and for demo purposes.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Mon, 25 Feb 2013 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Mon, 25 Feb 2013 13:45:05 GMT) Full text and rfc822 format available.

Message #76 received at 638720@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 638720@bugs.debian.org
Subject: Re: packaging OpenERP
Date: Mon, 25 Feb 2013 13:41:32 +0000
On 25 February 2013 12:52, W. Martin Borgert <debacle@debian.org> wrote:
> Quoting "Dmitrijs Ledkovs" <xnox@debian.org>:
>>
>> Blast from the past. Yeah sure, go ahead.
>
>
> Will do, thanks!
>
>
>> It would be nice to still package all of them & e.g. there is a 6.1
>> version of a package in ubuntu now.
>> But it's not as flexible packaged.
>> The openupgrade project has good migration scripts and it would be
>> great to integrate them into the packaging such that one can upgrade
>> from one major release to another.
>
>
> I suggest to package 7.0 first and than package 6.1 and openupgrade
> separately.
>
> I'm not 100% sure, how many people/companies can really make use of
> the packaged system anyway. ERP systems are much more than any other
> software customized versions, right? Having it packaged makes sense,
> because it makes sure that the software will build and run cleanly
> on Debian. And it can be used in simple cases and for demo purposes.
>

If there is a sensible way to override standard modules via
configuration file for web & server, I see know reason, why one cannot
use openerp from the archive and add/override modules as needed to
apply required modifications.

OpenUpgrade is trickier to integrate, as some facilities should be
provided for taking database snapshots upgrading & comparing / running
in parallel + fixups + custom migrations of custom modules etc.

Regards,

Dmitrijs.



Changed Bug title to 'ITP: openerp7 -- Enterprise Resource Management' from 'ITP: openerp6 -- Enterprise Resource Management' Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Mon, 25 Feb 2013 22:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-apps-team@lists.alioth.debian.org:
Bug#638720; Package wnpp. (Tue, 26 Feb 2013 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-apps-team@lists.alioth.debian.org. (Tue, 26 Feb 2013 00:12:03 GMT) Full text and rfc822 format available.

Message #83 received at 638720@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 638720@bugs.debian.org
Subject: JavaScript libraries
Date: Tue, 26 Feb 2013 01:04:44 +0100
The Debian package "openerp" made by upstream developers,
contains a number of JavaScript libraries. Most are not yet
packaged for Debian, others have to be checked for patches by
the packagers.

backbone - libjs-backbone
cleditor - http://premiumsoftware.net/cleditor/
datejs - http://www.datejs.com/
jquery - libjs-jquery
jquery.autosize - http://www.jacklmoore.com/autosize
jquery.ba-bbq - http://benalman.com/projects/jquery-bbq-plugin/ (see #693816)
jquery.blockUI - http://malsup.com/jquery/block/
jquery.form - libjs-jquery-form
jquery.MD5 - https://github.com/placemarker/jQuery-MD5
jquery.scrollTo - http://flesler.blogspot.de/2007/10/jqueryscrollto.html
jquery.textext - http://textextjs.com/
jquery.timeago - http://timeago.yarp.com/ (is this really used?)
jquery.tipsy - libjs-jquery-tipsy
jquery.ui - libjs-jquery-ui
jquery.ui.bootstrap - http://addyosmani.github.com/jquery-ui-bootstrap
jquery.ui.notify - http://www.erichynds.com/jquery/a-jquery-ui-growl-ubuntu-notification-widget/
jquery.ui.timepicker - RFP #693884
jquery.validate - RFP #622257
py.js - https://bitbucket.org/masklinn/py.js
qunit - RFP #695662
qweb - template engine of OpenERP, probably not used by others
spinjs - http://fgnass.github.com/spin.js/
underscore - libjs-underscore

I suggest to use the Debian packages, where available and
package other JavaScript libraries later, esp. when they are
used by others as well, such as jquery.ba-bbq.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:10:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.